; This file is part of RealSports Curling.

; RealSports Curling is free software: you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation, either version 3 of the License, or
; (at your option) any later version.

; RealSports Curling is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.

; You should have received a copy of the GNU General Public License
; along with RealSports Curling.  If not, see <http://www.gnu.org/licenses/>.

; Copyright 2017 Average Software.

; RealSports Curling
; Assemble with DASM command line:
; dasm rs_curling.s -f3 -ors_curling.bin

    processor 6502

    include "hardware.s"
    include "potmap.s"
    include "instructions.s"

    org     $4000                   ; Cartridge memory.
    jsr     init_system             ; Run one-time startup.
    jmp     start_game

    include "startup.s"
    include "utilities.s"
    include "game.s"
    include "rocks.s"
    include "interrupts.s"
    include "data.s"

    org     $bfe7                   ; PAL flag.
    .byte   $00

    org     $bffd                   ; Cartridge reset data.
    .byte   $ff                     ; No copyright screen.
    .word   $4000                   ; Code starts at $4000.

