; This file is part of RealSports Curling.

; RealSports Curling is free software: you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation, either version 3 of the License, or
; (at your option) any later version.

; RealSports Curling is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.

; You should have received a copy of the GNU General Public License
; along with RealSports Curling.  If not, see <http://www.gnu.org/licenses/>.

; Copyright 2017 Average Software.

; General utility routines

; Busy-waits until vertical blank.
wait_for_vb subroutine
    lda     RCLKLO                  ; Read the low byte of the clock.
.loop
    cmp     RCLKLO                  ; Loop until it changes.
    beq     .loop
    rts

; Copies the memory located at $fe, $ff to $fc, $fd.  $fb bytes are copied.
copy_memory subroutine
    ldy     $fb                     ; Load the byte count.
.loop
    dey
    cpy     #$ff
    beq     .done                   ; Done after underflow.
    lda     ($fe),y                 ; Read a byte.
    sta     ($fc),y                 ; Store a byte.
    jmp     .loop                   ; Do it again.
.done
    rts

; Simple division routine.  Divides the number in the
; accumulator by the value in $ff.  Places the quotient
; in the y register.
divide subroutine
    sec
    ldy     #0
.loop
    sbc     $ff
    bcc     .done
    iny
    jmp     .loop
.done
    rts

